=== modules/libcom/src/as/Makefile ===
#*************************************************************************
# Copyright (c) 2010 Brookhaven Science Associates, as Operator of
#     Brookhaven National Lab.
# Copyright (c) 2011 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution. 
#************************************************************************

# This is a Makefile fragment, see src/libCom/Makefile.

SRC_DIRS += $(LIBCOM)/as

INC += asLib.h
INC += asTrapWrite.h

Com_SRCS += asLib.c
Com_SRCS += asTrapWrite.c

# Allow early access to dbChannel.h
asTrapWrite_CPPFLAGS = -I$(LIBCOM)/../../database/src/ioc/db


CLEANS += asLib.c asLib_lex.c
