=== debian/changelog ===
epics-base (7.0.9-1) unstable; urgency=medium

  * Packaging 7.0.9

 --  <jhanks@caltech.edu>  Tue, 12 Aug 2025 17:30:09 -0700

epics-base (3.15.9-1) unstable; urgency=medium

  * Updating to 3.15.9

 -- Jonathan Hanks <jhanks@caltech.edu>  Tue, 13 Jun 2023 22:15:53 +0000

epics-base (3.15.5-4) bullseye; urgency=medium

  * change install location for libCap5.so 

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 14 Sep 2022 23:35:22 -0700

epics-base (3.15.5-3) unstable; urgency=medium

  * rebuild package.

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 01 Sep 2022 16:35:49 -0700

epics-base (3.15.5-2ligo1) unstable; urgency=medium

  * Branch master to ligo-3.15.5-2 and reapply LIGO PV name length patch

 -- Ryan Blair <ryan.blair@ligo.org>  Fri, 14 Dec 2018 09:42:28 -0800

epics-base (3.15.5-2) unstable; urgency=medium

  * ioclogserver package needs to depend on lsb-base

 -- Martin Konrad <konrad@frib.msu.edu>  Wed, 03 Oct 2018 18:48:23 -0400

epics-base (3.15.5-1) unstable; urgency=medium

  * New upstream version 3.15.5
  * Rebase patch queue
  * Update control file for 3.15.5
  * Adjust hard-coded version numbers

 -- Martin Konrad <konrad@frib.msu.edu>  Mon, 10 Sep 2018 10:16:26 -0400

epics-base (3.15.3-13) unstable; urgency=medium

  [ Michael Davidsaver ]
  * update for debian 9
  * update build deps
  * update mingw toolchain name
  * patch: disable epicsExceptionTest

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Wed, 19 Jul 2017 15:46:36 +0200

epics-base (3.15.3-12) unstable; urgency=medium

  * update patch set
      Backport
        bswap16/32 as functions
        Applied Till's fix for lp:1581212
        ca: Fix client bug (race condition) in ipAddrToAsciiEngine
        Fix lsi/lso puts with DBF_STRING data

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Thu, 11 Aug 2016 18:31:34 -0400

epics-base (3.15.3-11) unstable; urgency=medium

  [ Martin Konrad ]
  * Install ascheck into folder /usr/bin

 -- Martin Konrad <konrad@frib.msu.edu>  Thu, 14 Jul 2016 13:36:53 -0400

epics-base (3.15.3-10) unstable; urgency=medium

  * Update deps to fix upgrades after epics-msi removal

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Mon, 16 May 2016 14:26:21 -0400

epics-base (3.15.3-9) unstable; urgency=medium

  * Bump version once more to avoid ioclogserver conflicts

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Wed, 27 Apr 2016 18:52:26 -0400

epics-base (3.15.3-8) unstable; urgency=medium

  * Fold epics-msi into epics-dev
    Avoid broken symlink in epics-dev when epics-msi was not installed.
  * Move iocLogServer executable to epics-dev.  ioclogserver now
    has only the init script.
  * fixup copyright

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Mon, 25 Apr 2016 09:15:04 -0400

epics-base (3.15.3-7) unstable; urgency=medium

  * epics-perl: Fix install location for CA.pm

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Fri, 22 Apr 2016 14:37:58 -0400

epics-base (3.15.3-6) unstable; urgency=medium

  * Add patch that fixes memory corruption of C++ epicsThread API
  * Add patch that fixes a crash when initializing string records
  * Add patch fixing lp:1539791
  * Add patch to fix RTEMS NTP sync. bug
  * Fix gen-harden.sh to append to TARGET_*FLAGS instead of
    overwriting.

 -- Martin Konrad <konrad@frib.msu.edu>  Mon, 11 Apr 2016 08:54:16 -0400

epics-base (3.15.3-4) unstable; urgency=medium

  * Only -D and -I in pkg-config files
    The hardening flags were leaking in
  * Redo debian/copyright in machine parsable format
  * Add missing adduser dep to ioclogserver

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Thu, 10 Mar 2016 16:18:05 -0500

epics-base (3.15.3-3) unstable; urgency=medium

  * Adapt to change coming in epics-debhelper 8.14.
    skip dh_epics_postinstall

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Wed, 09 Mar 2016 20:30:57 -0500

epics-base (3.15.3-2) unstable; urgency=medium

  * Add /etc/epics/configure/conf.d/05hardening.make
    so that downstream builds for Linux targets use hardening
    flags by default.
    Can be overridden by defining 'SKIP_HARDENING=YES'

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Wed, 20 Jan 2016 11:10:55 -0500

epics-base (3.15.3-1) unstable; urgency=medium

  * Imported Upstream version 3.15.3
  * Rebase patch queue from v3.14.12.3
  * Update control file for v3.15.3
  * Adjust hard-coded version numbers
  * Fix mingw32 cross-build
  * Do not install some libraries that have been removed with 3.15
  * Do not build package epics-compat-dev anymore
  * Fix broken install rule for PCAS headers
  * Add some new files to the epics-dev package
  * Base 3.15 does not install CA tools for *-debug arch anymore
  * Install pkg-config files into system-wide folder
  * Use epics-debhelper >=8.12 to disable rpath
  * Bump up standards-version to 3.9.6
  * Add patch for binding to a specific interface
  * Fix ambiguous epics-dev dependency
  * Update README.Debian

 -- Martin Konrad <konrad@frib.msu.edu>  Tue, 05 Jan 2016 10:28:36 -0800

epics-base (3.14.12.3-10) unstable; urgency=low

  * Fix mingw build failure

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Fri, 01 May 2015 14:56:07 -0400

epics-base (3.14.12.3-9) unstable; urgency=low

  * fix ioclogserver.postinst (Richard Fearn)
  * Backports from 3.14.12.5
    dev, rec: Fix smoothing for NaN/+inf/-inf values
    Reject NULL callback functions in ca_array_*_callback
    catools: better out-of-bounds handling when printing enums
    Fix buffer overflow in epicsStrnRawFromEscaped (lp:1388313)
    Fix FLNK-over-CA error message
    gdd fix issue when copying from an empty array
    catools: make `caget -lb` output '0' instead of empty string
    Back-ported the tapfiles build target from 3.15 (makefile only)
    tool_lib.c: ensure output string is always set
    dbReadTest.c: flush errlog on exit as per lp:1419879
    don't destroy locked mutex
    Fix dbVerify()'s postfix buffer size
    db: Allow link fields to return a DOUBLE value

