=== debian/control ===
Source: epics-base
Section: devel
Priority: extra
Maintainer: Martin Konrad <konrad@frib.msu.edu>
Uploaders: Michael Davidsaver <mdavidsaver@gmail.com>,
           Ralph Lange <Ralph.Lange@gmx.de>
Build-Depends: debhelper (>= 9), epics-debhelper (>= 8.12~),
               libreadline6-dev | libreadline-dev, libncurses5-dev, perl
Standards-Version: 3.9.6
Vcs-Git: https://github.com/epicsdeb/epics-base.git
Vcs-Browser: https://github.com/epicsdeb/epics-base
Homepage: http://www.aps.anl.gov/epics/

Package: libepics7.0.9
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: epics-catools
Conflicts: epics-perl (<= 3.14.10-7)
Description: EPICS Base libraries for clients and servers
 The Experimental Physics and Industrial Control System is a collection of
 tools, libraries and applications for creating a distributed soft real-time
 control systems.
 .
 This package contains host system shared libraries for clients and IOCs.

Package: libepics7.0.9-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: libepics7.0.9 (= ${binary:Version}), ${misc:Depends},
Provides: libepics-dbg
Description: Files needed to develop new EPICS applications
 The Experimental Physics and Industrial Control System is a collection of
 tools, libraries and applications for creating a distributed soft real-time
 control systems.
 .
 Debug symbols for EPICS shared libraries and utilities.

Package: ioclogserver
Section: admin
Architecture: any
Depends: libepics7.0.9 (= ${binary:Version}),
         epics-dev (= ${binary:Version}), lsb-base,
         ${misc:Depends}, ${shlibs:Depends}, adduser,
Description: Log recording daemon for EPICS IOCS
 The Experimental Physics and Industrial Control System is a collection of
 tools, libraries and applications for creating a distributed soft real-time
 control systems.
 .
 The IOC log server listens for network log messages sent from
 IOC.  This is used by the caputlog support module to collect
 messages relating to PV value changes.

Package: epics-dev
Architecture: any
Depends: libepics7.0.9 (= ${binary:Version}), epics-catools (= ${binary:Version}),
         perl (>= 5.10.0~),
         libreadline6-dev,
        ${shlibs:Depends}, ${misc:Depends}
Suggests: epics-doc        (= ${binary:Version}),
          epics-perl       (= ${binary:Version}),
          epics-pcas-dev   (= ${binary:Version}),
          ioclogserver     (= ${binary:Version}),
Conflicts: epics-catools   (<= 3.14.11-6),
           epics-perl      (<= 3.14.12.3-1),
           ioclogserver    (<< 3.15.3-9),
Replaces:  epics-msi (<< 3.15.3-8~),
Breaks:    epics-msi (<< 3.15.3-8~),
Description: Files needed to develop new EPICS applications
 The Experimental Physics and Industrial Control System is a collection of
 tools, libraries and applications for creating a distributed soft real-time
 control systems.
 .
 Libraries, headers, and utilities needed to develop applications
 targeted to the host system.

Package: epics-msi
Architecture: all
Depends: ${misc:Depends}
Description: EPICS Macro Substitution and Include tool
 MSI is a general purpose macro substitution/include tool.
 It accepts as input an ascii template file.
 .
 This is a dummy package which can be removed.

Package: epics-catools
Section: admin
Architecture: any
Depends: libepics7.0.9 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: Command line utilities for EPICS
 The Experimental Physics and Industrial Control System is a collection of
 tools, libraries and applications for creating a distributed soft real-time
 control systems.
 .
 EPICS utilities such as caget and caput as well as the caRepeater daemon.

Package: epics-perl
Architecture: any
Depends: libepics7.0.9 (= ${binary:Version}),
         ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Conflicts: epics-libs (<= 3.14.10-7),  epics-dev (<= 3.14.12.3-2),
Description: Perl bindings for EPICS
 The Experimental Physics and Industrial Control System is a collection of
 tools, libraries and applications for creating a distributed soft real-time
 control systems.
 .
 Perl bindings for EPICS

Package: epics-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Replaces:  epics-msi (<< 3.15.3-8~),
Breaks:    epics-msi (<< 3.15.3-8~),
Description: EPICS documentation
 The Experimental Physics and Industrial Control System is a collection of
 tools, libraries and applications for creating a distributed soft real-time
 control systems.
 .
 Documentation for EPICS Base
